var system = require("../../../system");
var settings = require("../../../../config/settings");
const logCtl = system.getObject("service.common.oplogSve");
//商标查询操作
class UtilsUserSve {
  constructor() {
    this.opPlatformUtils = system.getObject("util.businessManager.opPlatformUtils");
  }
  async loginUserByChannelUserId(action_body, action_process, userpin, req) {
    action_body.appInfo = req.appInfo;
    var opResult = null;
    switch (action_process) {
      case "gsbhome":
        opResult = await this.getDefaultUserInfo(action_body, userpin);
        break;
      default:
        opResult = system.getResult(null, "action_process参数错误");
        break;
    }
    return opResult;
  }
  async getDefaultUserInfo(action_body, userpin) {
    var userinfo = await this.opPlatformUtils.getReqUserPinByChannelUserId(action_body, userpin);
    return userinfo;
  }


}
module.exports = UtilsUserSve;
